> ## Documentation Index
> Fetch the complete documentation index at: https://developers.portao3.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# /realms/{realmId}/organizations/{organizationId}/tax-issuer



## OpenAPI

````yaml /api-reference/accounting.openapi.json patch /realms/{realmId}/organizations/{organizationId}/tax-issuer
openapi: 3.0.3
info:
  title: Accounting
  version: 1.0.0
  description: >-
    Portão 3 accounting API. Generated by tools/openapi from code (routes +
    security) and the hand-written spec (request/response bodies). Confidence
    tiers: generated:typed=9 copied:manual=0 unknown=12.
servers:
  - url: https://api.accounting.v2.portao3.com.br/
    description: production
  - url: https://api.accounting.dev.3pers.com.br/
    description: development
security:
  - bearerAuth: []
tags:
  - name: Tax Documents (NFSe)
  - name: Tax Issuers
  - name: Tax Codes
  - name: Internal & Support
paths:
  /realms/{realmId}/organizations/{organizationId}/tax-issuer:
    patch:
      tags:
        - Tax Issuers
      summary: /realms/{realmId}/organizations/{organizationId}/tax-issuer
      operationId: patchRealmsByRealmIdOrganizationsByOrganizationIdTaxIssuer
      parameters:
        - name: realmId
          in: path
          required: true
          schema:
            type: string
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                id:
                  type: string
                  minLength: 1
                provider:
                  type: string
                  minLength: 1
                providerId:
                  type: string
                  minLength: 1
                status:
                  type: string
                  minLength: 1
                homologationProperties:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                    environment:
                      type: string
                      minLength: 1
                    specialTaxCode:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    municipalServiceCode:
                      type: string
                      minLength: 1
                    serviceListItem:
                      type: string
                      minLength: 1
                    issTax:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    serviceDescription:
                      type: string
                      minLength: 1
                    hasCulturalIncentive:
                      type: boolean
                    isSimplesNacional:
                      type: boolean
                    nfeSequencialCode:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    nfeSeries:
                      type: string
                      minLength: 1
                      maxLength: 5
                    nfeSequencialBatch:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    cnae:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    taxConfiguration:
                      type: object
                      properties:
                        nbsCode:
                          type: string
                        nationalTaxCode:
                          type: string
                        taxClassification:
                          type: string
                        operationIndicatorCode:
                          type: string
                      additionalProperties: false
                  required:
                    - id
                    - environment
                    - specialTaxCode
                    - municipalServiceCode
                    - serviceListItem
                    - issTax
                    - serviceDescription
                    - hasCulturalIncentive
                    - isSimplesNacional
                    - nfeSequencialCode
                    - nfeSeries
                    - nfeSequencialBatch
                    - cnae
                  additionalProperties: false
                productionProperties:
                  type: object
                  properties:
                    id:
                      type: string
                      minLength: 1
                    environment:
                      type: string
                      minLength: 1
                    specialTaxCode:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    municipalServiceCode:
                      type: string
                      minLength: 1
                    serviceListItem:
                      type: string
                      minLength: 1
                    issTax:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    serviceDescription:
                      type: string
                      minLength: 1
                    hasCulturalIncentive:
                      type: boolean
                    isSimplesNacional:
                      type: boolean
                    nfeSequencialCode:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    nfeSeries:
                      type: string
                      minLength: 1
                      maxLength: 5
                    nfeSequencialBatch:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    cnae:
                      type: integer
                      minimum: -9007199254740991
                      maximum: 9007199254740991
                    taxConfiguration:
                      type: object
                      properties:
                        nbsCode:
                          type: string
                        nationalTaxCode:
                          type: string
                        taxClassification:
                          type: string
                        operationIndicatorCode:
                          type: string
                      additionalProperties: false
                  required:
                    - id
                    - environment
                    - specialTaxCode
                    - municipalServiceCode
                    - serviceListItem
                    - issTax
                    - serviceDescription
                    - hasCulturalIncentive
                    - isSimplesNacional
                    - nfeSequencialCode
                    - nfeSeries
                    - nfeSequencialBatch
                    - cnae
                  additionalProperties: false
              required:
                - id
                - provider
                - providerId
                - status
                - homologationProperties
                - productionProperties
      responses:
        default:
          description: Undocumented response (no code type, no existing spec).
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````